List an Issue's Hashes
GET /api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/hashes/
List the hashes that make up an issue. Each hash represents a grouping signature used to aggregate individual events into this issue.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
issue_id(string)REQUIREDThe ID of the issue you'd like to query.
Query Parameters:
full(boolean)Specify true to include the full event body, including the stacktrace, in the event payload.
cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:event:adminevent:readevent:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/hashes/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied[ { "id": "53aa54ab27474eaab1fc1d0f7f86d2f1", "latestEvent": { "id": "9999aaafcc8b46d797c23c6077c6ff01", "groupID": "1341191803", "eventID": "9999aaaaca8b46d797c23c6077c6ff01", "projectID": "5236886", "message": "", "title": "This is an example Python exception", "location": "example.py:123", "user": { "username": null, "name": "Hell Boy", "ip_address": "192.168.1.1", "email": "hell@boy.cat", "data": { "isStaff": false }, "id": "550747" }, "tags": [ { "value": "Chrome 83.0.4103", "key": "browser" }, { "value": "Chrome", "key": "browser.name" }, { "value": "prod", "key": "environment" }, { "value": "yes", "key": "handled" }, { "value": "error", "key": "level" }, { "value": "generic", "key": "mechanism" } ], "platform": "javascript", "dateReceived": "2020-06-17T22:26:56.428721Z", "contexts": { "browser": { "version": "83.0.4103", "type": "browser", "name": "Chrome" }, "os": { "version": "10", "type": "os", "name": "Windows" }, "trace": { "span_id": "83db1ad17e67dfe7", "type": "trace", "trace_id": "da6caabcd90e45fdb81f6655824a5f88", "op": "navigation" }, "organization": { "type": "default", "id": "323938", "slug": "hellboy-meowmeow" } }, "size": 107762, "entries": [ { "type": "exception", "data": { "values": [ { "stacktrace": { "frames": [ { "function": "ignoreOnError", "errors": null, "colNo": 23, "vars": null, "package": null, "absPath": "webpack:////usr/src/getsentry/src/sentry/node_modules/@sentry/browser/esm/helpers.js", "inApp": false, "lineNo": 71, "module": "usr/src/getsentry/src/sentry/node_modules/@sentry/browser/esm/helpers", "filename": "/usr/src/getsentry/src/sentry/node_modules/@sentry/browser/esm/helpers.js", "platform": null, "instructionAddr": null, "context": [ [ 70, " // is expected behavior and NOT indicative of a bug with sentry.javascript." ], [ 71, " return fn.apply(this, wrappedArguments);" ], [ 72, " // tslint:enable:no-unsafe-any" ] ], "symbolAddr": null, "trust": null, "symbol": null } ], "framesOmitted": null, "registers": null, "hasSystemFrames": true }, "module": null, "rawStacktrace": null, "mechanism": { "type": "generic", "handled": true }, "threadId": null, "value": "GET /organizations/hellboy-meowmeow/users/ 403", "type": "ForbiddenError" } ], "excOmitted": null, "hasSystemFrames": true } }, { "type": "breadcrumbs", "data": { "values": [ { "category": "xhr", "level": "info", "event_id": null, "timestamp": "2020-06-17T22:26:55.619446Z", "data": { "url": "/api/0/internal/health/", "status_code": 200, "method": "GET" }, "message": null, "type": "http" } ] } }, { "type": "request", "data": { "fragment": null, "cookies": [], "inferredContentType": null, "env": null, "headers": [ [ "User-Agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/83.0.4103.97 Safari/537.36" ] ], "url": "https://sentry.io/organizations/hellboy-meowmeow/issues/", "query": [ [ "project", "5236886" ] ], "data": null, "method": null } } ], "dist": null, "sdk": { "version": "5.17.0", "name": "sentry.javascript.browser" }, "context": { "resp": { "status": 403, "responseJSON": { "detail": "You do not have permission to perform this action." }, "name": "ForbiddenError", "statusText": "Forbidden", "message": "GET /organizations/hellboy-meowmeow/users/ 403" } }, "packages": {}, "type": "error", "metadata": { "type": "ForbiddenError", "value": "GET /organizations/hellboy-meowmeow/users/ 403" }, "errors": [ { "data": { "column": 8, "source": "https://s1.sentry-cdn.com/_static/bloopbloop/sentry/dist/app.js.map", "row": 15 }, "message": "Invalid location in sourcemap", "type": "js_invalid_sourcemap_location" } ], "occurrence": null, "_meta": { "user": null, "context": null, "entries": {}, "contexts": null, "message": null, "packages": null, "tags": {}, "sdk": null }, "crashFile": null, "culprit": "/books/new/", "dateCreated": "2020-06-17T22:26:56.098086Z", "fingerprints": [ "fbe908cc63d63ea9763fd84cb6bad177" ], "groupingConfig": { "enhancements": "abc", "id": "2359823092345612392" } }, "mergedBySeer": false } ]
Was this helpful?